Subject: bug#16913: Please extend case-fold-search on-the-fly toggling

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 13 May 2022 14:36:06 +0200

Reuben Thomas <[email-masked]> writes:

> The idea was to add the capability to do case-insensitive matching to
> all commands that read regexs. The list of simple commands one would
> have to write could be quite long!

Yup.  I don't know what the best way for `read-regexp' to communicate
this back up to the caller, though.  Perhaps the easiest would be to
just add a new optional parameter to `read-regexp' that would make it
activate the `M-c' key binding, and then return a list that has both the
regexp we read and whether the user used a case twiddling command.

Callers like rgrep would have to be changed, but that's the case anyway.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no